Bug Hunting Session
Bug 48140 - Remove uno calls from xlsx import
Summary: Remove uno calls from xlsx import
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.4.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2012-03-31 19:17 UTC by Markus Mohrhard
Modified: 2017-10-26 18:44 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Mohrhard 2012-03-31 19:17:31 UTC
Noel moved the xlsx import code from oox to sc which allows us to use calc core methods directly and therefore get much better performance.

We should start by moving some of the more important parts to direct calls.

Good starting points are range name import, database range import, cell value/string import, ...

The source code for xlsx import is now in http://opengrok.libreoffice.org/xref/core/sc/source/filter/oox/

It is a good idea to check how the corresponding ods import is done at http://opengrok.libreoffice.org/xref/core/sc/source/filter/xml/
Comment 1 Daniel Bankston 2012-04-05 07:45:41 UTC
Hi, Markus,

Per my IRC conversation with you and Kohei, I'll be looking into this.
Comment 2 Daniel Bankston 2012-04-14 21:22:36 UTC
I have submitted a patch to the mailing list that partially addresses this EasyHack.  More patches will be forthcoming.
Comment 3 Stéphane Aulery 2012-08-11 01:25:15 UTC
Deteted "Easyhack" from summary
Comment 4 Elton Chung 2013-06-26 09:59:54 UTC
Just a note (previous commit regarding this bug):
Converting UNO calls to direct in WorkbookHelper

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f892be678a036cd0fea665eda529e9cc906e0cfa
Comment 5 Björn Michaelsen 2013-10-04 18:46:22 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 6 bfoman (inactive) 2014-02-20 18:25:26 UTC
This bug is confirmed but unowned - back to NEW.
Comment 7 Alex Thurgood 2015-01-03 17:38:08 UTC Comment hidden (no-value)
Comment 8 Robinson Tryon (qubit) 2015-12-13 10:58:04 UTC Comment hidden (obsolete)
Comment 9 Robinson Tryon (qubit) 2016-02-18 14:51:29 UTC Comment hidden (obsolete)
Comment 10 Bartosz 2016-06-06 21:21:37 UTC
I would like to convert UNO calls for  uno::Reference<sheet::XDatabaseRange>.
How I could find corresponding methods/class names, which I could use as a replacement of XDatabaseRange ?
Comment 11 Markus Mohrhard 2016-06-07 10:36:27 UTC
(In reply to Bartosz Kosiorek from comment #10)
> I would like to convert UNO calls for  uno::Reference<sheet::XDatabaseRange>.
> How I could find corresponding methods/class names, which I could use as a
> replacement of XDatabaseRange ?

So to show how to find the correct method I will give all the steps that I would take. We assume that the implementation for XDatabaseRange is in calc (directory sc) so we use git grep XDatabaseRange -- sc/source/ui/unoobj/ because sc/source/ui/unoobj contains nearly all the calc UNO implementations. Based on the results we see that there is a ScDatabaseRangeObj class in datauno.cxx and based on the name we can be quite sure that it is the implementation.
Looking around in the file we find the ScDatabaseRangeObj::GetDBData_Impl which shows us how the information is stored in the model. The class is ScDBData and there seem to be two different types: bIsUnnamed and named ones.
Comment 12 Bartosz 2016-06-07 18:38:08 UTC
Thanks Markus.

I just created review to remove no longer needed headers to decrease compilation time:
https://gerrit.libreoffice.org/#/c/26001/

Could you please take a look?
Comment 13 Bartosz 2016-06-08 08:11:40 UTC
It seems that XDatabaseRange is a little bit complicated for the first task.
@Markus Is there anything easier to migrate?
Comment 14 Commit Notification 2016-06-08 17:59:15 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e044eafc485ef29a68b3a8e0e7c75b372ebb1ac9

tdf#48140 Remove unused headers from xlsx import to improve build performance

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 jani 2016-06-14 09:53:54 UTC
Seem solved
Comment 16 Bartosz 2016-06-14 14:44:58 UTC
There is still several UNO call which should be replaced with direct calls. eg. XDatabaseRange
Comment 17 Commit Notification 2016-11-19 22:47:20 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e1078f21d6e0faf93b22cb8e8af2a91c0b16071d

tdf#48140 Replace CellAddress uno calls with direct access

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2016-11-21 07:49:28 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6e6a6139e90d6e88fb65308e8592193ac602a8a

tdf#48140 Replace uno CellRangeAddress and CellAddress with direct calls

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2016-11-21 17:09:42 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=597f7b1f02be79f2443230c963b6d1bb594cffa0

tdf#48140 Replace uno call from worksheethelper.cxx

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2016-11-24 05:07:54 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50106435e9a5bbc067e9beeabc5147ed9f305286

tdf#48140 Change types of variables and remove uneeded code

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2016-11-26 10:21:12 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0c3665b2a74256e8dca9743073c668df30839b4

tdf#48140 Replace uno with direct calls

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Markus Mohrhard 2016-11-27 14:00:34 UTC
Obviously this does not qualify as a performance issue.
Comment 23 Cor Nouws 2016-11-27 20:12:24 UTC
Apologies that I didn't get your initial comment right.
Comment 24 Commit Notification 2016-11-29 08:49:12 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad129cda465d7d16130469eb9e232e9e8ce53d58

tdf#48140 Replace uno with direct calls

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-11-30 16:45:59 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c038d88c228bb2f4d0dde88f59ee4b9c6620687e

ScAddress::operator<() is not what we need here, tdf#48140 follow-up fix

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2017-01-03 00:14:59 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9efa11a1090ab088c64a26dacea5d6f40d7878e6

tdf#48140 replace CellRangeAddress in xlsx import (1)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2017-01-03 00:16:52 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77dc03c29501234bb07170004a7b8204987bad0c

tdf#48140 replace CellRangeAddress in xlsx import (2)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2017-01-03 00:17:39 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f9a7c1826cd1233986c97ad840136fd4ed43bca

tdf#48140 replace CellRangeAddress in xlsx import (3)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2017-01-03 00:19:24 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4b7a2475d33311fef16197bf6a945ad5121fc8e

tdf#48140 replace CellRangeAddress in xlsx import (4)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2017-01-03 00:19:57 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=152e2e9211ce993f365004bf9caf9ea85269489f

tdf#48140 replace CellRangeAddress in xlsx import (5)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2017-01-03 00:20:30 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=470ea0a7ae1874064b09c711ee0a54f1a82ebfda

tdf#48140 replace CellRangeAddress in xlsx import (6)&(7)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2017-01-03 00:22:28 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99577bfa80cb926ff9a1710905036e2d09747ddb

tdf#48140 replace CellRangeAddress in xlsx import (8)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2017-01-03 00:22:55 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1a44eb3b305f1aad77b0cc1532c98016482f620

tdf#48140 replace CellRangeAddress in xlsx import (9)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2017-01-03 00:23:28 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5c9b888d8d0c414a3b27619a6df9adfebf4f77f

tdf#48140 replace CellRangeAddress in xlsx import (10)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2017-01-03 00:23:52 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b144ec03020b9d717bd7ccad0e6e4c84aa3f9898

tdf#48140 replace CellRangeAddress in xlsx import (11)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2017-01-03 17:11:47 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c53e17d47bea97168bd07630ccf781639dd03d1

tdf#48140 replace CellRangeAddress in xlsx import (12)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2017-01-04 00:44:27 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ab8a27244e74e1c0916b3737f15c6c949aead78

tdf#48140 replace CellRangeAddress in xlsx import (13)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 jani 2017-01-09 09:01:31 UTC
Seems solved, if not it would be nice to see what is still open.
Comment 39 Commit Notification 2017-01-11 15:40:27 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e316c4f2a40a4a562028f0a66c40321ffdf87378

tdf#48140 replace CellAddress in xlsx import (1)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 40 Commit Notification 2017-01-11 23:09:05 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=34006130756be2cec73a623cf65b3e71493276a1

tdf#48140 replace CellAddress in xlsx import (2)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 41 Commit Notification 2017-01-11 23:11:35 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88f561204d7cee25633df8117cc8d7e1ebd8e9ad

tdf#48140 replace CellAddress in xlsx import (3)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2017-01-12 17:10:38 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58c5a9de2a0b985ef81557271db39c56ceb624f9

tdf#48140 replace CellAddress in xlsx import (4)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2017-01-12 23:35:34 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e0e27e758e6f7fa325f36e6e51540e10bab0fdc

tdf#48140 replace CellRangeAddress in xlsx import (14)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Commit Notification 2017-01-15 23:52:08 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98f2431d3bba2004174673294e28bf208bf9939e

tdf#48140 replace CellRangeAddress in xlsx import (15)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Commit Notification 2017-01-15 23:52:15 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c6b81622530e708b2bb7901bcc531212a6ef72e

tdf#48140 replace ApiCellRangeList in xlsx import (1)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Commit Notification 2017-01-15 23:53:37 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff08e8d5618f84366439c6f48bd7c5f3062905a3

tdf#48140 replace ApiCellRangeList in xlsx import (2)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2017-01-15 23:53:43 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c73c4605bb75b288e186b5de0ca12da1724353e

tdf#48140 replace ApiCellRangeList in xlsx import (3)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2017-01-15 23:55:05 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff407afbb5b121228879a3323c5be12ce2750e1a

tdf#48140 replace CellRangeAddress in xlsx import (16)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2017-01-23 11:29:45 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb71dc9d36779c32733cd0497d9d799c6608888b

tdf#48140 replace ApiCellRangeList in xlsx import (4)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2017-01-23 11:37:50 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e7947401773b33a1e6072dd60ab681b2ad87800

tdf#48140 replace ApiCellRangeList in xlsx import (5)

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2017-02-28 02:45:46 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b51bc85cd2ded95668cfcacdb8a2a4a388fe51f4

tdf#48140 Replace CellRangeAddress with ScRange

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.